# Aspose.OMR for Cloud

[Aspose.OMR for Cloud](https://products.aspose.cloud/omr/cloud) is a REST API that helps you to perform optical mark recognition in the cloud. We provide a series of [SDKs](https://github.com/aspose-omr-cloud). Along with that, you can get [binaries](https://github.com/aspose-omr-cloud/aspose-omr-cloud-dotnet/releases) to start working immediately and recognize various OMR forms. Developers can embed [optical recognition](https://en.wikipedia.org/wiki/Optical_mark_recognition) in any type of application to extract data from images of tests, exams, questionnaires, surveys, etc. In the repository you can find examples on how to start using Aspose.OMR API in your project.

## Quickstart

You can perform tasks out of the box without writing a single line of code with our [GUI client](https://github.com/aspose-omr-cloud/aspose-omr-cloud-dotnet/releases). You can also refer to the [client documentation](https://docs.aspose.cloud/display/omrcloud/Aspose.OMR.Client+Application).

## Using OMR Cloud API in your Ruby projects

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.1
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Requirements
Ruby 2.3 and later

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build asposeomrcloud.gemspec
```

Then either install the gem locally:

```shell
gem install ./asposeomrcloud-1.0.0.gem
```
(for development, run `gem install --dev ./asposeomrcloud-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'asposeomrcloud', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/aspose-omr-cloud/aspose-omr-cloud-ruby, then add the following in the Gemfile:

    gem 'asposeomrcloud', :git => 'https://github.com/aspose-omr-cloud/aspose-omr-cloud-ruby.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Optional requirements

To take full advantage of Aspose.OMR for Cloud, _aspose/storage-sdk-ruby_ is required. Just run `gem install aspose_storage_cloud`. You may refer to official [Aspose Storage SDK](https://github.com/aspose-storage-cloud/aspose-storage-cloud-ruby) to get more information.

## Usage

### Receive Cloud Keys
Aspose.Cloud credentials are required to use Aspose.OMR for Cloud API. You can acquire App SID and App Key by registrating at [Aspose Cloud Dashboard](https://dashboard.aspose.cloud). It will take only a couple of minutes.

### Code example
You can check out [OMR Demo](demo) project to get started with Aspose.OMR for Cloud.

## Documentation for API Endpoints

All URIs are relative to *https://api.aspose.cloud/v1.1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AsposeOmrCloud::OmrApi* | [**post_run_omr_task**](docs/OmrApi.md#post_run_omr_task) | **POST** /omr/{name}/runOmrTask | Run specific OMR task


## Documentation for Models

 - [AsposeOmrCloud::AsposeResponse](docs/AsposeResponse.md)
 - [AsposeOmrCloud::FileInfo](docs/FileInfo.md)
 - [AsposeOmrCloud::OMRFunctionParam](docs/OMRFunctionParam.md)
 - [AsposeOmrCloud::OMRResponseDetails](docs/OMRResponseDetails.md)
 - [AsposeOmrCloud::OmrResponseContent](docs/OmrResponseContent.md)
 - [AsposeOmrCloud::OmrResponseInfo](docs/OmrResponseInfo.md)
 - [AsposeOmrCloud::Payload](docs/Payload.md)
 - [AsposeOmrCloud::RecognitionStatistics](docs/RecognitionStatistics.md)
 - [AsposeOmrCloud::ServerStat](docs/ServerStat.md)
 - [AsposeOmrCloud::OMRResponse](docs/OMRResponse.md)


## Authentication

Library uses OAUTH2 internally

## Author

Aspose Pty Ltd (https://www.aspose.com)
